import React from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import { Auth, Login, Logout, NavBar, Overview } from './components';
import { AuthProvider, ThemeProvider, TimeProvider } from './contexts';
import { Airport } from './components/airport';
import './App.css';

const App: React.FC = () => (
  <>
    <BrowserRouter>
      <ThemeProvider>
        <TimeProvider>
          <AuthProvider>
            <NavBar />
            <Routes>
              <Route index element={<Login />} />
              <Route path='/admin/airports' element={<Airport />} />
              <Route path='/auth' element={<Auth />} />
              <Route path='/overview' element={<Overview />} />
              <Route path='/logout' element={<Logout />} />
            </Routes>
          </AuthProvider>
        </TimeProvider>
      </ThemeProvider>
    </BrowserRouter>
  </>
);

export default App;
