import React, { useContext } from 'react';
import { useNavigate, useSearchParams } from 'react-router-dom';
import { AuthContext } from '../contexts';
import { Session } from '../services';

export const Auth: React.FC = () => {
  const { reloadAuth } = useContext(AuthContext);
  const [searchParams] = useSearchParams();
  const token = searchParams.get('token');
  const navigate = useNavigate();

  const baseUrl = `${window.location.protocol}//${window.location.host}`
  if (token) {
    Session.setBearerToken(token);

    const lastRoute = Session.lastShownComponent();
    if (lastRoute !== null) {
      reloadAuth();
      Session.resetLastShownComponent();
      navigate(lastRoute);
    } else {
      window.location.replace(`${baseUrl}/overview`);
    }
  } else {
    Session.resetLastShownComponent();
    Session.resetBearerToken();
    window.location.replace(`${baseUrl}/`);
  }

  return <></>;
};
